#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Klasse: Vorlage, was dieses Objekt hat und kann
#   "Keks-Form"
# Instanz: "Keks" mit eigenen Variablen
#    Davon kann es mehrere geben.

# Dateinamen vector.py
from gpanel import *

class Vector:
    def __init__(self, x, y):
        self.comp = [x,y]
    
    def __str__(self):  # Methode
        return "<%f,%f>" % tuple(self.comp)
    
    def __add__(self, other): # + ueberladen
        return Vector(self.comp[0]+other.comp[0],\
               self.comp[1]+other.comp[1])
               
    def __mul__(self, other):  # Vector * other
        return Vector(self.comp[0]*other, self.comp[1]*other)
    
    def __rmul__(self, other):  # other * Vector
            return self*other
        
    def dot(self):
        move(self.comp[0], self.comp[1])
        circle(3)
    
    def lineTo(self, other):
        line(self.comp[0], self.comp[1],\
             other.comp[0], other.comp[1])
        